com.google.appengine.api.search

## Enum Consistency

- java.lang.Object
- - java.lang.Enum<Consistency>
  - - com.google.appengine.api.search.Consistency

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Consistency>

  Deprecated.
  As of 1.7.3. PER_DOCUMENT is the only mode now supported, so Consistency is not required.

      @Deprecated
      public enum Consistency
      extends java.lang.Enum<Consistency>

  Deprecated. Supported consistency modes by indexes. When creating an index you may request whether the index is `GLOBAL` or `PER_DOCUMENT` consistent using this enum. An index with `GLOBAL` consistency, when searched, returns results with all changes prior to the search request, committed. For `PER_DOCUMENT` consistent indexes, a search result may contain some out of date documents. However, any two changes to any document stored in such an index are applied in the correct order. The benefit of `PER_DOCUMENT` consistent index is that it provides much higher index document throughput than a globally consistent one.

  Typically, you would use `GLOBAL` consistency if organizing personal user information, to reflect all changes known to the user in any search results. The `PER_DOCUMENT` consistency should be used in indexes that amalgamate information from multiple sources, where no single user is aware of all collected data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GLOBAL` Deprecated. As of 1.7.3. GLOBAL mode is no longer supported.
    `PER_DOCUMENT` Deprecated. Document level consistent index, with search results that may not include the latest changes to the index.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Consistency` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static Consistency[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GLOBAL

          @Deprecated
          public static final Consistency GLOBAL

      Deprecated. As of 1.7.3. GLOBAL mode is no longer supported.
      Globally consistent index, which guarantees that search returns results including changes submitted before the latest search request.

    - #### PER_DOCUMENT

          public static final Consistency PER_DOCUMENT

      Deprecated.
      Document level consistent index, with search results that may not include the latest changes to the index.

  - ### Method Detail

    - #### values

          public static Consistency[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Consistency c : Consistency.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Consistency valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null